### Enumeration

# Qmi WdaLinkLayerProtocol

since: 1.10

#### Declaration

    enum Qmi.WdaLinkLayerProtocol

#### Description [src]

Link layer protocol.

Available since: 1.10

#### Members

`QMI_WDA_LINK_LAYER_PROTOCOL_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.10
`QMI_WDA_LINK_LAYER_PROTOCOL_802_3`

  802.3 ethernet mode.

  - Value: `1`
  - Available since: 1.10
`QMI_WDA_LINK_LAYER_PROTOCOL_RAW_IP`

  Raw IP mode.

  - Value: `2`
  - Available since: 1.10

#### Type functions

###### qmi_wda_link_layer_protocol_get_string

Gets the nickname string for the `QmiWdaLinkLayerProtocol` specified at `val`.

since: 1.10